import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Mgrtsk{
    constructor () {
        this.data = {
						wfetsk:{
							labetyextkey:"",			//  Label Selected Entity ID		.wfetsk.labetyextkey
							labetgextkey:"",			//  Label Selected Entity Group		.wfetsk.labetgextkey
							tsklist:{
								bcklab:"",			//  'Running in background' label		.wfetsk.tsklist.bcklab
								ininam:"",			//  Name of INI-File		.wfetsk.tsklist.ininam
								timzonlab:"",			//  Label to display timezone		.wfetsk.tsklist.timzonlab
								strflg:"",			//  Automatic Start Flag		.wfetsk.tsklist.strflg
								jobstrdat:"",			//  Start Time of Job Date		.wfetsk.tsklist.jobstrdat
								jobstrtimhh:"",			//  Start Time of Job HH		.wfetsk.tsklist.jobstrtimhh
								jobstrtimmm:"",			//  Start Time of Job MM		.wfetsk.tsklist.jobstrtimmm
								terflg:"",			//  Automatic Termination Flag		.wfetsk.tsklist.terflg
								downtimehh:"",			//  Automatic Shutdown at hh		.wfetsk.tsklist.downtimehh
								downtimemm:"",			//  Automatic Shutdown at mm		.wfetsk.tsklist.downtimemm
								redotime:"",			//  Redotime		.wfetsk.tsklist.redotime
							},
							seletyextkey:"",			//  Selected Entity ID		.wfetsk.seletyextkey
							seletgextkey:"",			//  Selected Entity Group		.wfetsk.seletgextkey
							wfestm:"",			//  Stream of WFE entries		.wfetsk.wfestm
							refno:"",
						},
						srvprt:{
							exeflg1:"",			//  Print Documents		.srvprt.exeflg1
							exeflg2:"",			//  Print Documents		.srvprt.exeflg2
							exeflg3:"",			//  Print Documents		.srvprt.exeflg3
							exeflg4:"",			//  Print Documents		.srvprt.exeflg4
							exeflg5:"",			//  Print Documents		.srvprt.exeflg5
							cltprtflg:"",			//  Print System		.srvprt.cltprtflg
							headup:"",			//  Additional Header for Duplicates		.srvprt.headup
							prtmod:{
								prttstblk:"",			//  XMLPanel prttst的内置block		.srvprt.prtmod.prttstblk
							},
						},
						srvpds:{
							exeflg:"",			//  required sigantures check		.srvpds.exeflg
							rettim:"",			//  Wait before 'Retry' 		.srvpds.rettim
						},
						srvpdp:{
							exeflg:"",			//  pending predecessors check		.srvpdp.exeflg
							rettim:"",			//  Wait before 'Retry' 		.srvpdp.rettim
						},
						srvcom:{
							exeflg:"",			//  make transaction irrevertible		.srvcom.exeflg
						},
						srvprr:{
							exeflg1:"",			//  Print Documents		.srvprr.exeflg1
							exeflg2:"",			//  Print Documents		.srvprr.exeflg2
							exeflg3:"",			//  Print Documents		.srvprr.exeflg3
							exeflg4:"",			//  Print Documents		.srvprr.exeflg4
							exeflg5:"",			//  Print Documents		.srvprr.exeflg5
							cltprtflg:"",			//  Print System		.srvprr.cltprtflg
							headup:"",			//  Additional Header for Duplicates		.srvprr.headup
							prtmod:{
								prttstblk:"",			//  XMLPanel prttst的内置block		.srvprr.prtmod.prttstblk
							},
						},
						srvswt:{
							exeflg:"",			//  Outgoing SWIFT		.srvswt.exeflg
							ownbic:"",			//  Own BIC code		.srvswt.ownbic
							delivrcod:"",			//  Delivery Monitoring Code		.srvswt.delivrcod
							obsper:"",			//  Obsolescense Period		.srvswt.obsper
							fil:"",			//  File Format		.srvswt.fil
							outdir:"",			//  Pathname		.srvswt.outdir
							etydirflg:"",			//  Separate Directory per Entity		.srvswt.etydirflg
							jobexe:"",			//  Jobexecution		.srvswt.jobexe
							job:"",			//  Job to executed on successful export		.srvswt.job
						},
						srvtco:{
							owntidlbl:"",			//  Label for 'Own TID'		.srvtco.owntidlbl
							exeflg:"",			//  TradeConnect/BranchConnect		.srvtco.exeflg
							owntid:"",			//  Own TID		.srvtco.owntid
							outdir:"",			//  Pathname		.srvtco.outdir
							tidflg:"",			//  Dont Write in Subdirectories		.srvtco.tidflg
							etydirflg:"",			//  Separate Directory per Entity		.srvtco.etydirflg
							lstflg:"",			//  Dont Create Listfiles		.srvtco.lstflg
							tecpdfflg:"",			//  Send technical messages formatted		.srvtco.tecpdfflg
							jobexe:"",			//  Jobexecution		.srvtco.jobexe
							job:"",			//  Job to executed on successful export		.srvtco.job
							heatxt:"",			//  Text for Header		.srvtco.heatxt
						},
						srvtlx:{
							srvnam:"",			//  Name of service		.srvtlx.srvnam
							exeflg:"",			//  Telex		.srvtlx.exeflg
							outdir:"",			//  Pathname		.srvtlx.outdir
						},
						srvpda:{
							exeflg:"",			//  cxheck open ACKs		.srvpda.exeflg
							rettim:"",			//  Wait before 'Retry' 		.srvpda.rettim
						},
						srvprs:{
							exeflg1:"",			//  Print Documents		.srvprs.exeflg1
							exeflg2:"",			//  Print Documents		.srvprs.exeflg2
							exeflg3:"",			//  Print Documents		.srvprs.exeflg3
							exeflg4:"",			//  Print Documents		.srvprs.exeflg4
							exeflg5:"",			//  Print Documents		.srvprs.exeflg5
							cltprtflg:"",			//  Print System		.srvprs.cltprtflg
							headup:"",			//  Additional Header for Duplicates		.srvprs.headup
							prtmod:{
								prttstblk:"",			//  XMLPanel prttst的内置block		.srvprs.prtmod.prttstblk
							},
						},
						srvcln:{
							exeflg:"",			//  Cleanup files and tables		.srvcln.exeflg
							evtdel:"",			//  Delete Event Records EVT		.srvcln.evtdel
							bimdel:"",			//  Delete Before Image Files BIM		.srvcln.bimdel
							datdel:"",			//  Delete Transaction Data Files DAT		.srvcln.datdel
							dspdel:"",			//  Delete Display Files .DSP		.srvcln.dspdel
							sepdel:"",			//  Delete SEPDATA .dat		.srvcln.sepdel
							wfdcre:"",			//  Create WFD entries		.srvcln.wfdcre
						},
						docimm:{
							prtswtpblk:"",			//  XMLPanel prtswtp的内置block		.docimm.prtswtpblk
							prtswtrpblk:"",			//  XMLPanel prtswtrp的内置block		.docimm.prtswtrpblk
							xmldocblk:"",			//  XMLPanel xmldoc的内置block		.docimm.xmldocblk
							ascin:"",			//  Message as stream		.docimm.ascin
						},
						pageId: ""			// ctx的key
				}
    }
}